<div>
  <h2 data-cy="BoughtItemHeading" id="page-heading">
    <span jhiTranslate="realTimeBeveragesApp.payInvoices.title">Pay Invoices</span>

    <div class="d-flex justify-content-end">
      <mat-form-field style="width: 30%; margin-right: 30px">
        <mat-label>
          <span jhiTranslate="realTimeBeveragesApp.payInvoices.selectUser">Hier können Sie den Nutzer auswählen</span>
        </mat-label>
        <mat-select [formControl]="controls.userID">
          @for (user of getUsers(); track $index) {
            <mat-option [value]="user.id">{{ user.firstName + ' ' + user.lastName }}</mat-option>
          }
        </mat-select>
      </mat-form-field>

      <mat-form-field style="width: 30%">
        <mat-label
          ><span jhiTranslate="realTimeBeveragesApp.payInvoices.selectStatus">Hier können Sie nach einem Status filtern</span>
        </mat-label>
        <mat-select [formControl]="controls.status">
          <mat-option></mat-option>
          <mat-option value="Noch zu zahlen"
            ><span jhiTranslate="realTimeBeveragesApp.payInvoices.notPaid">Noch zu zahlen</span>
          </mat-option>
          <mat-option value="Bezahlt"><span jhiTranslate="realTimeBeveragesApp.payInvoices.paid">Bezahlt</span> </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  @if (boughtItems()?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span jhiTranslate="realTimeBeveragesApp.boughtItem.home.notFound">Keine Bought Items gefunden</span>
    </div>
  }

  @if (boughtItems() && boughtItems()!.length > 0) {
    @for (order of orders(); track trackId) {
      <mat-expansion-panel>
        <mat-expansion-panel-header>
          <mat-panel-title>
            <mat-chip [ngClass]="order.items[0].paidTime ? 'green-chip' : 'red-chip'">
              @if (order.items[0].paidTime) {
                <span jhiTranslate="realTimeBeveragesApp.payInvoices.paid">Bezahlt</span>
              } @else {
                <span jhiTranslate="realTimeBeveragesApp.payInvoices.notPaid">Noch zu zahlen</span>
              }
            </mat-chip>
            <span jhiTranslate="realTimeBeveragesApp.payInvoices.orderFrom">Bestellung vom:</span>
            {{ order.billingTime | formatMediumDate }}
          </mat-panel-title>
          <mat-panel-description
            ><span jhiTranslate="realTimeBeveragesApp.payInvoices.sum">Gesamtsumme: </span> {{ order.totalAmount | currency: 'EUR' }}
            @if (!order.items[0].paidTime) {
              <button (click)="payInvoices(order.items)" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="plus"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="realTimeBeveragesApp.payInvoices.markAsPaid">Als gezahlt markieren</span>
              </button>
            }
          </mat-panel-description>
        </mat-expansion-panel-header>
        <div class="table-responsive table-entities" id="entities">
          <table class="table table-striped" aria-describedby="page-heading">
            <thead>
              <tr jhiSort [sortState]="sortState" (sortChange)="navigateToWithComponentValues($event)">
                <th scope="col" jhiSortBy="id">
                  <div class="d-flex">
                    <span jhiTranslate="global.field.id">ID</span>

                    <fa-icon class="p-1" icon="sort"></fa-icon>
                  </div>
                </th>
                <th scope="col" jhiSortBy="name">
                  <div class="d-flex">
                    <span jhiTranslate="realTimeBeveragesApp.boughtItem.name">Name</span>

                    <fa-icon class="p-1" icon="sort"></fa-icon>
                  </div>
                </th>
                <th scope="col" jhiSortBy="price">
                  <div class="d-flex">
                    <span jhiTranslate="realTimeBeveragesApp.boughtItem.price">Price</span>

                    <fa-icon class="p-1" icon="sort"></fa-icon>
                  </div>
                </th>
                <th scope="col" jhiSortBy="boughtTime">
                  <div class="d-flex">
                    <span jhiTranslate="realTimeBeveragesApp.boughtItem.boughtTime">Bought Time</span>

                    <fa-icon class="p-1" icon="sort"></fa-icon>
                  </div>
                </th>
                <th scope="col" jhiSortBy="billingTime">
                  <div class="d-flex">
                    <span jhiTranslate="realTimeBeveragesApp.boughtItem.billingTime">Billing Time</span>

                    <fa-icon class="p-1" icon="sort"></fa-icon>
                  </div>
                </th>
                <th scope="col" jhiSortBy="paidTime">
                  <div class="d-flex">
                    <span jhiTranslate="realTimeBeveragesApp.boughtItem.paidTime">Paid Time</span>

                    <fa-icon class="p-1" icon="sort"></fa-icon>
                  </div>
                </th>
                <th scope="col" jhiSortBy="amount">
                  <div class="d-flex">
                    <span jhiTranslate="realTimeBeveragesApp.boughtItem.amount">Amount</span>

                    <fa-icon class="p-1" icon="sort"></fa-icon>
                  </div>
                </th>
                <th scope="col" jhiSortBy="offer.id">
                  <div class="d-flex">
                    <span jhiTranslate="realTimeBeveragesApp.boughtItem.offer">Offer</span>
                    <fa-icon class="p-1" icon="sort"></fa-icon>
                  </div>
                </th>
                <th scope="col"></th>
              </tr>
            </thead>
            <tbody>
              @for (boughtItem of order.items; track boughtItem.id) {
                <tr data-cy="entityTable">
                  <td>
                    <a [routerLink]="['/bought-item', order.items[0].id, 'view']">{{ boughtItem.id }}</a>
                  </td>
                  <td>{{ boughtItem.name }}</td>
                  <td>{{ boughtItem.price }}</td>
                  <td>{{ boughtItem.boughtTime | formatMediumDatetime }}</td>
                  <td>{{ boughtItem.billingTime | formatMediumDatetime }}</td>
                  <td>{{ boughtItem.paidTime | formatMediumDatetime }}</td>
                  <td>{{ boughtItem.amount }}</td>
                  <td>
                    @if (boughtItem.offer) {
                      <div>
                        <a [routerLink]="['/offered-item', boughtItem.offer.id, 'view']">{{ boughtItem.offer.id }}</a>
                      </div>
                    }
                  </td>
                  <td class="text-end">
                    <div class="btn-group">
                      <a [routerLink]="['/bought-item', boughtItem.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                        <fa-icon icon="pencil-alt"></fa-icon>
                        <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Bearbeiten</span>
                      </a>

                      <button type="submit" (click)="delete(boughtItem)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                        <fa-icon icon="times"></fa-icon>
                        <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Löschen</span>
                      </button>
                    </div>
                  </td>
                </tr>
              }
            </tbody>
          </table>
        </div>
      </mat-expansion-panel>
    }
  }
</div>
